searchNodes=[{"doc":"Helpers for Absinthe errors.","ref":"AbsintheUtils.Helpers.Errors.html","title":"AbsintheUtils.Helpers.Errors","type":"module"},{"doc":"Given an absinthe resolution puts an error and marks the resolution as resolved.","ref":"AbsintheUtils.Helpers.Errors.html#put_error/3","title":"AbsintheUtils.Helpers.Errors.put_error/3","type":"function"},{"doc":"Generic sorting utils.","ref":"AbsintheUtils.Helpers.Sorting.html","title":"AbsintheUtils.Helpers.Sorting","type":"module"},{"doc":"Sorts an unsorted_enumerable based on sorted_enumerable . Use mappers to specify getters for each element in the enumerable, for example retrieving the id of a struct. Examples iex&gt; Sorting . sort_alike ( [ :b , :c , :a ] , [ :a , :b , :c ] ) [ :a , :b , :c ] iex&gt; Sorting . sort_alike ( [ %{ id : 1 } , %{ id : 2 } ] , [ 2 , 1 ] , &amp; &amp;1 . id ) [ %{ id : 2 } , %{ id : 1 } ]","ref":"AbsintheUtils.Helpers.Sorting.html#sort_alike/4","title":"AbsintheUtils.Helpers.Sorting.sort_alike/4","type":"function"},{"doc":"Absinthe middleware for loading entities in field arguments. This middleware should be defined before resolve . It will manipulate the arguments before they are passed to the resolver function. As configuration it accepts a map of original argument names to a keyword list, containing: load_function : the function used to load the argument into an entity. As an input accepts one single argument: the input received in the resolution. The function should return the entity, or nil when not found. new_name : the new name to push the loaded entity into. (optional, defaults to the original argument name). Example query do field :user , :user do arg ( :id , :id ) # Add the middleware before your resolver middleware ( ArgLoader , %{ id : [ new_name : :user , is_list : true , load_function : &amp; get_user_by_id / 1 ] } ) resolve ( fn _ , arguments , _ -&gt; { :ok , Map . get ( arguments , :user ) } end ) end This will define a user query that accepts an id input. Before calling the resolver, it will load the user via get_user_by_id(id) into the user argument, removing id .","ref":"AbsintheUtils.Middleware.ArgLoader.html","title":"AbsintheUtils.Middleware.ArgLoader","type":"module"},{"doc":"","ref":"AbsintheUtils.Middleware.ArgLoader.html#load_entities/3","title":"AbsintheUtils.Middleware.ArgLoader.load_entities/3","type":"function"},{"doc":"Absinthe middleware for handling deprecated or renamed field arguments ( arg ). It automatically handles mutual exclusivity and changing the argument keys (names) before passing it to the resolver. For this to work, this middleware must be added before the resolver. Middleware options: legacy_arg_identifier : The identifier of the field that has been deprecated. If this argument is provided, this middleware will rename it to the new_arg_identifier . new_arg_identifier : The identifier of the new field, if passed, nothing changes. is_required : if at least one of the arguments must be provided. If the validation fails, an Absinthe compliant error will be returned and the operation marked as resolved (it will not reach the resolver). All options are required. Example usage field :query_with_deprecated_required_args , non_null ( :string ) do arg ( :old_arg , :string , deprecate : &quot;Use `newParam` instead.&quot; ) arg ( :new_arg , :string ) # Add the middleware before your resolver middleware ( DeprecatedArgs , %{ legacy_arg_identifier : :old_arg , new_arg_identifier : :new_arg , is_required : true } ) resolve ( &amp; MyApp . my_resolver / 3 ) end","ref":"AbsintheUtils.Middleware.DeprecatedArgs.html","title":"AbsintheUtils.Middleware.DeprecatedArgs","type":"module"},{"doc":"Collection of utilities for absinthe .","ref":"readme.html","title":"Absinthe Utils","type":"extras"},{"doc":"Available in Hex , the package can be installed by adding absinthe_utils to your list of dependencies in mix.exs : def deps do [ { :absinthe_utils , &quot;~&gt; 0.0.1&quot; } ] end Documentation can be found in HexDocs .","ref":"readme.html#installation","title":"Absinthe Utils - Installation","type":"extras"}]